Subject: [mile] Some comments on draft-ietf-mile-jsoniodef

From: "Panwei (William)" <[email-masked]>
Date: Wed, 2 Jan 2019 10:08:22 +0000

Hi,

I've read this draft and I have some comments as followings.

1. Lack of links for the RFCs and BCPs which are referenced. These items be referenced don't have hyperlinks in this draft.
2. RFC7203 and RFC7213 are referenced in the draft, but are not included in section 9 "References".
3. Section 1.1 should be changed to the following description according to RFC8174.
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
"SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and
"OPTIONAL" in this document are to be interpreted as described in BCP
14 [RFC2119][RFC8174] when, and only when, they appear in all
capitals, as shown here.
4. In section 2.2.2, the comma "," after the last object of "SoftwareReference" should be deleted.
"SoftwareReference": {
  "value": "cpe:/a:google:chrome:59.0.3071.115 ",     //STRING
  "spec-name": "cpe",                                 //ENUM
  "dtype": "string",                                  //ENUM
}
5. In section 2.2.4, the "String" should be changed to "STRING" like the other sections. And the comma "," after the last object of "ExtensionType" should be deleted.
"ExtensionType": {
  "value": "xxxxxxx",                                 //String
  "name": "Syslog",                                   //String
  "dtype": "string",                                  //String
  "meaning": "Syslog from the security appliance X",  //String
}
6. In section 3.1, the table should have a formal name prefixed with "Table 1:" or "Figure 1:".
7. In section 3.1, also in the table, the values of the "Corresponding Section in [RFC7970]" column are all wrong on the "System" line and below.
    For example, the table says the System Class corresponds to Section 3.16 in RFC7970, but actually corresponds to Section 3.17 in RFC7970.
8. In section 4, there are two typos, as the red words in the following. First, "example" should be "examples". Second, "the the" should be "the".
This section provides example of IODEF documents. These examples do
not represent the full capabilities of the data model or the the only
way to encode particular information.
9. In section 7, the draft says "This document registers a JSON schema", but it doesn't describe what the JSON schema is.
10. In Appendix A, the table should have a formal name, now it only has a prefix "Figure 8".

Best Regards
Wei Pan

---

From: Takeshi Takahashi <[email-masked]>
Date: Fri, 4 Jan 2019 08:48:45 +0900

Hi Wei,

Thank you very much for your kind review.
I agree with you on all the comments you kindly provided.
So I reflected all the comments and submitted the new version to both
datatracker and github repo.

(The issues 1-2 have been already addressed by the github version,
committed on Dec 25, but the issues 3-10 were new issues, all of which
have been addressed in the new version.)

The following link is the latest version.
https://datatracker.ietf.org/doc/draft-ietf-mile-jsoniodef/

Github version was also updated.
https://github.com/milewg/draft-ietf-mile-jsoniodef

I appreciate your kind supports.
Once again, thank you very much for your kind review.

Best regards,
Take

2019年1月2日(水) 19:09 Panwei (William) <[email-masked]>:
>
> Hi,
>
>
>
> I’ve read this draft and I have some comments as followings.
>
>
>
> 1. Lack of links for the RFCs and BCPs which are referenced. These items be referenced don’t have hyperlinks in this draft.
>
> 2. RFC7203 and RFC7213 are referenced in the draft, but are not included in section 9 “References”.
>
> 4. In section 2.2.2, the comma “,” after the last object of "SoftwareReference" should be deleted.
>
> "SoftwareReference": {
>
> 5. In section 2.2.4, the “String” should be changed to “STRING” like the other sections. And the comma “,” after the last object of "ExtensionType" should be deleted.
>
> "ExtensionType": {
>
> 6. In section 3.1, the table should have a formal name prefixed with “Table 1:” or “Figure 1:”.
>
> 7. In section 3.1, also in the table, the values of the “Corresponding Section in [RFC7970]” column are all wrong on the “System” line and below.
>
> 8. In section 4, there are two typos, as the red words in the following. First, “example” should be “examples”. Second, “the the” should be “the”.
>
> 9. In section 7, the draft says “This document registers a JSON schema”, but it doesn’t describe what the JSON schema is.
>
> 10. In Appendix A, the table should have a formal name, now it only has a prefix “Figure 8”.
>
>
>
> Best Regards
>
> Wei Pan
>
>
>
> _______________________________________________
> mile mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mile

-- 
--
Takeshi Takahashi, Ph.D., CISSP, PMP
"Practice makes perfect!"